Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.task
Class TaskMessage

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage

All Implemented Interfaces:
  IMessage, ITaskMessage

Direct Known Subclasses:
  AmbulanceTeamTaskMessage, FireBrigadeTaskMessage, MoveTaskMessage, MoveWithStagingPostTaskMessage, PoliceForceTaskMessage, RestAtRefugeTaskMessage, RestTaskMessage

    public abstract class TaskMessage

extends RCRSCSMessage
implements ITaskMessage

The TaskMessage is the message class express the task.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`TaskMessage(BaseMessageType type, int time, rescuecore2.worldmodel.EntityID ownerID)` Constructor
`TaskMessage(BaseMessageType type, java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`rescuecore2.worldmodel.EntityID` | `getAssignedAgentID()` Return EntityID of rescue agent that have to execute this task.
`rescuecore2.worldmodel.EntityID` | `getMessageOwnerID()` Return EntityID of the agent that sent this message.
`protected void` | `setEntityIDListData(DataType dType, java.util.List<rescuecore2.worldmodel.EntityID> list)` Deprecated.

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskMessage

    public TaskMessage(BaseMessageType type,
                       int time,
                       rescuecore2.worldmodel.EntityID ownerID)

  ## Constructor

  Create the task.

  Parameters:
    `type` -
    `time` -
    `ownerID` -

### TaskMessage

    public TaskMessage(BaseMessageType type,
                       java.util.List<java.lang.Integer> bitList,
                       int offset,
                       java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `type` -
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### setEntityIDListData

    @Deprecated
    protected void setEntityIDListData(DataType dType,
                                                  java.util.List<rescuecore2.worldmodel.EntityID> list)

  Deprecated.

### getAssignedAgentID

    public rescuecore2.worldmodel.EntityID getAssignedAgentID()

  Return EntityID of rescue agent that have to execute this task.

  Specified by:
    `getAssignedAgentID` in interface `ITaskMessage`
  Returns:
    EntityID of rescue agent

### getMessageOwnerID

    public rescuecore2.worldmodel.EntityID getMessageOwnerID()

  Return EntityID of the agent that sent this message.

  Returns:
    EntityID of the agent(at, ac, pf, po, fb, fs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD